/****************************************************/
/* exkanjiconv                                      */
/****************************************************/

#include <stdio.h>
#include <stdlib.h>

#define	InFILE	"KANJI1.ROM"
#define	OutFILE	"EXKANJI.ROM"

int main(int argc, char **argv)
{
	int		c,num;
	FILE	*infp, *outfp;

	if (argc != 1) {
		fprintf(stderr, "Usage : exkanjiconv\n");
		fprintf(stderr, "InputFile :KANJI1.ROM\n");
		fprintf(stderr, "OutputFile:EXKANJI.ROM\n");
		exit(1);
	}

/* open files */
	if ((infp = fopen(InFILE, "rb")) == NULL) {
		perror(InFILE);
		exit(1);
	}

	if ((outfp = fopen(OutFILE, "wb")) == NULL) {
		perror(OutFILE);
		exit(1);
	}

	num = 0;

	while ((c = fgetc(infp)) != EOF) {

		switch (num) {
			case 0x0200:
			case 0x0610:
			case 0x0a00:
			case 0x0fc0:
				break;
			case 0x05ff:
			case 0x07ff:
			case 0x0dff:
			case 0x0fcf:
				fputc(c,outfp);
				fputc(0,outfp);
				break;
			default:
				fputc(c,outfp);
				break;
		}

		num ++;

	}

	fclose(infp);
	fclose(outfp);

	return(0);
}
